Skip to content

/api/v1/facilities/{facilityId}/outbound/carton-types (POST)

POST
/api/v1/facilities/{facilityId}/outbound/carton-types
curl --request POST \
--url https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/outbound/carton-types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "code": "example", "name": "example", "length": 1, "width": 1, "height": 1, "lengthUnit": "Cm", "tareWeight": 1, "weightUnit": "Kg" }'
facilityId
required
string format: uuid
object
code
string
nullable
name
string
nullable
length
number format: double
nullable
width
number format: double
nullable
height
number format: double
nullable
lengthUnit
string
nullable
Allowed values: Cm Mm M In
tareWeight
number format: double
nullable
weightUnit
string
nullable
Allowed values: Kg G Lb Oz

Created

object
id
required
string format: uuid
code
required
string
name
required
string
length
required
number format: double
width
required
number format: double
height
required
number format: double
lengthUnit
required
string
Allowed values: Cm Mm M In
tareWeight
required
number format: double
weightUnit
required
string
Allowed values: Kg G Lb Oz
createdAt
required
string format: date-time
updatedAt
required
string format: date-time

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable